export default {
  displayName: "media",
  name: "media",
  homepage:
    "https://www.patternfly.org/v4//mnt/d/tailor/bootstrap-components-ds/src/pingendo/components/media.html",
};

export const variants = [
  {
    displayName: 1,
    picture: {
      src: "./pictures/media/media-1.png",
      width: 412,
      height: 412,
    },
    snippet: {
      html: `<i class="fa fa-2x fa-camera-retro "></i>`,
    },
  },
  {
    displayName: 2,
    picture: {
      src: "./pictures/media/media-2.png",
      width: 866,
      height: 48,
    },
    snippet: {
      html: `<i class="fa fa-3x fa-camera-retro "></i>`,
    },
  },
  {
    displayName: 3,
    picture: {
      src: "./pictures/media/media-3.png",
      width: 866,
      height: 64,
    },
    snippet: {
      html: `<i class="fa fa-4x fa-camera-retro "></i>`,
    },
  },
  {
    displayName: 4,
    picture: {
      src: "./pictures/media/media-4.png",
      width: 866,
      height: 80,
    },
    snippet: {
      html: `<i class="fa fa-5x fa-camera-retro "></i>`,
    },
  },
  {
    displayName: 5,
    picture: {
      src: "./pictures/media/media-5.png",
      width: 75,
      height: 69,
    },
    snippet: {
      html: `<i class="fa fa-spinner fa-spin fa-3x fa-fw "></i>`,
    },
  },
  {
    displayName: 6,
    picture: {
      src: "./pictures/media/media-6.png",
      width: 78,
      height: 75,
    },
    snippet: {
      html: `<i class="fa fa-circle-o-notch fa-spin fa-3x fa-fw "></i>`,
    },
  },
  {
    displayName: 7,
    picture: {
      src: "./pictures/media/media-7.png",
      width: 77,
      height: 76,
    },
    snippet: {
      html: `<i class="fa fa-refresh fa-spin fa-3x fa-fw "></i>`,
    },
  },
  {
    displayName: 8,
    picture: {
      src: "./pictures/media/media-8.png",
      width: 73,
      height: 77,
    },
    snippet: {
      html: `<i class="fa fa-cog fa-spin fa-3x fa-fw "></i>`,
    },
  },
  {
    displayName: 9,
    picture: {
      src: "./pictures/media/media-9.png",
      width: 77,
      height: 77,
    },
    snippet: {
      html: `<i class="fa fa-spinner fa-pulse fa-3x fa-fw "></i>`,
    },
  },
  {
    displayName: 10,
    picture: {
      src: "./pictures/media/media-10.png",
      width: 866,
      height: 433,
    },
    snippet: {
      html: `<div class="carousel slide " data-ride="carousel" id="carousel">
    <div class="carousel-inner">
      <div class="carousel-item active"> <img class="d-block img-fluid w-100" src="https://static.pingendo.com/cover-bubble-dark.svg">
        <div class="carousel-caption">
          <h5 class="m-0">Carousel</h5>
          <p>with controls</p>
        </div>
      </div>
      <div class="carousel-item"> <img class="d-block img-fluid w-100" src="https://static.pingendo.com/cover-bubble-light.svg">
        <div class="carousel-caption">
          <h5 class="m-0">Carousel</h5>
          <p>with controls</p>
        </div>
      </div>
      <div class="carousel-item"> <img class="d-block img-fluid w-100" src="https://static.pingendo.com/cover-moon.svg">
        <div class="carousel-caption">
          <h5 class="m-0">Carousel</h5>
          <p>with controls</p>
        </div>
      </div>
    </div> <a class="carousel-control-prev" href="#carousel" role="button" data-slide="prev"> <span class="carousel-control-prev-icon"></span> <span class="sr-only">Previous</span> </a> <a class="carousel-control-next" href="#carousel" role="button" data-slide="next"> <span class="carousel-control-next-icon"></span> <span class="sr-only">Next</span> </a>
  </div>`,
    },
  },
  {
    displayName: 11,
    picture: {
      src: "./pictures/media/media-11.png",
      width: 866,
      height: 433,
    },
    snippet: {
      html: `<div id="carouselExampleIndicators" class="carousel slide carousel-fade " data-ride="carousel">
    <ol class="carousel-indicators">
      <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"> </li>
      <li data-target="#carouselExampleIndicators" data-slide-to="1"> </li>
      <li data-target="#carouselExampleIndicators" data-slide-to="2"> </li>
    </ol>
    <div class="carousel-inner">
      <div class="carousel-item active"> <img class="d-block img-fluid w-100" src="https://static.pingendo.com/cover-moon.svg">
        <div class="carousel-caption">
          <h5 class="m-0">Carousel</h5>
          <p>with indicators</p>
        </div>
      </div>
      <div class="carousel-item "> <img class="d-block img-fluid w-100" src="https://static.pingendo.com/cover-bubble-dark.svg">
        <div class="carousel-caption">
          <h5 class="m-0">Carousel</h5>
          <p>with indicators</p>
        </div>
      </div>
      <div class="carousel-item"> <img class="d-block img-fluid w-100" src="https://static.pingendo.com/cover-bubble-light.svg">
        <div class="carousel-caption">
          <h5 class="m-0">Carousel</h5>
          <p>with indicators</p>
        </div>
      </div>
    </div>
  </div>`,
    },
  },
  {
    displayName: 12,
    picture: {
      src: "./pictures/media/media-12.png",
      width: 866,
      height: 405,
    },
    snippet: {
      html: `<div class="pi-wrapper ">
    <iframe width="100%" height="400" src="https://maps.google.com/maps?q=New%20York&amp;z=14&amp;output=embed" scrolling="no" frameborder="0"></iframe>
  </div>`,
    },
  },
  {
    displayName: 13,
    picture: {
      src: "./pictures/media/media-13.png",
      width: 866,
      height: 405,
    },
    snippet: {
      html: `<div class="pi-wrapper ">
    <iframe width="100%" height="400" src="https://maps.google.com/maps?q=San%20Francisco&amp;z=12&amp;t=k&amp;output=embed" scrolling="no" frameborder="0"></iframe>
  </div>`,
    },
  },
  {
    displayName: 14,
    picture: {
      src: "./pictures/media/media-14.png",
      width: 866,
      height: 487,
    },
    snippet: {
      html: `<div class="embed-responsive  embed-responsive-16by9">
    <iframe src="https://www.youtube.com/embed/ctvlUvN6wSE?controls=0" allowfullscreen="" class="embed-responsive-item"></iframe>
  </div>`,
    },
  },
  {
    displayName: 15,
    picture: {
      src: "./pictures/media/media-15.png",
      width: 866,
      height: 487,
    },
    snippet: {
      html: `<div class="embed-responsive  embed-responsive-16by9">
    <iframe src="https://player.vimeo.com/video/239823487?title=0&amp;byline=0&amp;portrait=0" allowfullscreen="" class="embed-responsive-item"></iframe>
  </div>`,
    },
  },
  {
    displayName: 16,
    picture: {
      src: "./pictures/media/media-16.png",
      width: 866,
      height: 487,
    },
    snippet: {
      html: `<div class=" embed-responsive embed-responsive-16by9">
    <video src="https://static.pingendo.com/video-placeholder.mp4" class="embed-responsive-item" controls="controls"> Your browser does not support HTML5 video. </video>
  </div>`,
    },
  },
];
