export default {
  displayName: "text",
  name: "text",
  homepage:
    "https://www.patternfly.org/v4//mnt/d/tailor/bootstrap-components-ds/src/pingendo/components/text.html",
};

export const variants = [
  {
    displayName: 1,
    picture: {
      src: "./pictures/text/text-1.png",
      width: 866,
      height: 31,
    },
    snippet: {
      html: `<p class="lead ">Lead paragraph. A wonderful serenity has taken possession of my entire soul.</p>`,
    },
  },
  {
    displayName: 2,
    picture: {
      src: "./pictures/text/text-2.png",
      width: 866,
      height: 48,
    },
    snippet: {
      html: `<p class="">Paragraph. Then, my friend, when darkness overspreads my eyes, and heaven and earth seem to dwell in my soul and absorb its power, like the form of a beloved mistress, then I often think with longing.</p>`,
    },
  },
  {
    displayName: 3,
    picture: {
      src: "./pictures/text/text-3.png",
      width: 866,
      height: 19,
    },
    snippet: {
      html: `<h6 class="">Heading 6</h6>`,
    },
  },
  {
    displayName: 4,
    picture: {
      src: "./pictures/text/text-4.png",
      width: 866,
      height: 24,
    },
    snippet: {
      html: `<h5 class="">Heading 5</h5>`,
    },
  },
  {
    displayName: 5,
    picture: {
      src: "./pictures/text/text-5.png",
      width: 866,
      height: 30,
    },
    snippet: {
      html: `<h4 class="">Heading 4 <span class="badge badge-pill badge-warning">!</span></h4>`,
    },
  },
  {
    displayName: 6,
    picture: {
      src: "./pictures/text/text-6.png",
      width: 866,
      height: 35,
    },
    snippet: {
      html: `<h3 class="">Heading 3 <span class="badge badge-light"> New</span></h3>`,
    },
  },
  {
    displayName: 7,
    picture: {
      src: "./pictures/text/text-7.png",
      width: 866,
      height: 38,
    },
    snippet: {
      html: `<h2 class="">Heading 2 <small class="text-muted">subtitle</small></h2>`,
    },
  },
  {
    displayName: 8,
    picture: {
      src: "./pictures/text/text-8.png",
      width: 866,
      height: 48,
    },
    snippet: {
      html: `<h1 class="">Heading 1</h1>`,
    },
  },
  {
    displayName: 9,
    picture: {
      src: "./pictures/text/text-9.png",
      width: 866,
      height: 67,
    },
    snippet: {
      html: `<h1 class="display-4 ">Display 4</h1>`,
    },
  },
  {
    displayName: 10,
    picture: {
      src: "./pictures/text/text-10.png",
      width: 866,
      height: 86,
    },
    snippet: {
      html: `<h1 class="display-3 ">Display 3</h1>`,
    },
  },
  {
    displayName: 11,
    picture: {
      src: "./pictures/text/text-11.png",
      width: 866,
      height: 105,
    },
    snippet: {
      html: `<h1 class="display-2 ">Display 2</h1>`,
    },
  },
  {
    displayName: 12,
    picture: {
      src: "./pictures/text/text-12.png",
      width: 866,
      height: 115,
    },
    snippet: {
      html: `<h1 class="display-1 ">Display 1</h1>`,
    },
  },
  {
    displayName: 13,
    picture: {
      src: "./pictures/text/text-13.png",
      width: 866,
      height: 24,
    },
    snippet: {
      html: `<p class=" text-monospace">Monospace. Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>`,
    },
  },
  {
    displayName: 14,
    picture: {
      src: "./pictures/text/text-14.png",
      width: 866,
      height: 54,
    },
    snippet: {
      html: `<div class="blockquote ">
    <p class="mb-0">Blockquoute</p>
    <div class="blockquote-footer">Someone famous in <cite title="Source Title">My memories</cite></div>
  </div>`,
    },
  },
  {
    displayName: 15,
    picture: {
      src: "./pictures/text/text-15.png",
      width: 866,
      height: 24,
    },
    snippet: {
      html: `<ul class="list-inline ">
    <li class="list-inline-item">One</li>
    <li class="list-inline-item">Two</li>
    <li class="list-inline-item">Three</li>
  </ul>`,
    },
  },
  {
    displayName: 16,
    picture: {
      src: "./pictures/text/text-16.png",
      width: 866,
      height: 72,
    },
    snippet: {
      html: `<ul class="">
    <li>One</li>
    <li>Two</li>
    <li>Three</li>
  </ul>`,
    },
  },
  {
    displayName: 17,
    picture: {
      src: "./pictures/text/text-17.png",
      width: 866,
      height: 72,
    },
    snippet: {
      html: `<ol class="">
    <li>One</li>
    <li>Two</li>
    <li>Three</li>
  </ol>`,
    },
  },
  {
    displayName: 18,
    picture: {
      src: "./pictures/text/text-18.png",
      width: 866,
      height: 72,
    },
    snippet: {
      html: `<ol class="" type="a">
    <li>One</li>
    <li>Two</li>
    <li>Three</li>
  </ol>`,
    },
  },
  {
    displayName: 19,
    picture: {
      src: "./pictures/text/text-19.png",
      width: 866,
      height: 72,
    },
    snippet: {
      html: `<ol class="" type="A">
    <li>One</li>
    <li>Two</li>
    <li>Three</li>
  </ol>`,
    },
  },
  {
    displayName: 20,
    picture: {
      src: "./pictures/text/text-20.png",
      width: 866,
      height: 221,
    },
    snippet: {
      html: `<div class="table-responsive ">
    <table class="table">
      <thead>
        <tr>
          <th>#</th>
          <th>First Name</th>
          <th>Last Name</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>1</td>
          <td>Mark</td>
          <td>Otto</td>
        </tr>
        <tr>
          <td>2</td>
          <td>Jacob</td>
          <td>Thornton</td>
        </tr>
        <tr>
          <td>3</td>
          <td>Larry</td>
          <td>the Bird</td>
        </tr>
      </tbody>
    </table>
  </div>`,
    },
  },
  {
    displayName: 21,
    picture: {
      src: "./pictures/text/text-21.png",
      width: 866,
      height: 222,
    },
    snippet: {
      html: `<div class="table-responsive ">
    <table class="table table-bordered ">
      <thead class="thead-dark">
        <tr>
          <th>#</th>
          <th>First</th>
          <th>Last</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <th>1</th>
          <td>Mark</td>
          <td>Otto</td>
        </tr>
        <tr>
          <th>2</th>
          <td>Jacob</td>
          <td>Thornton</td>
        </tr>
        <tr>
          <th scope="row">3</th>
          <td>Larry</td>
          <td>the Bird</td>
        </tr>
      </tbody>
    </table>
  </div>`,
    },
  },
  {
    displayName: 22,
    picture: {
      src: "./pictures/text/text-22.png",
      width: 866,
      height: 216,
    },
    snippet: {
      html: `<div class="table-responsive ">
    <table class="table table-striped table-borderless">
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">First</th>
          <th scope="col">Last</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <th scope="row">1</th>
          <td>Mark</td>
          <td>Otto</td>
        </tr>
        <tr>
          <th scope="row">2</th>
          <td>Jacob</td>
          <td>Thornton</td>
        </tr>
        <tr>
          <th scope="row">3</th>
          <td>Larry</td>
          <td>the Bird</td>
        </tr>
      </tbody>
    </table>
  </div>`,
    },
  },
  {
    displayName: 23,
    picture: {
      src: "./pictures/text/text-23.png",
      width: 866,
      height: 221,
    },
    snippet: {
      html: `<div class="table-responsive ">
    <table class="table table-striped table-dark">
      <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col">First</th>
          <th scope="col">Last</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <th scope="row">1</th>
          <td>Mark</td>
          <td>Otto</td>
        </tr>
        <tr>
          <th scope="row">2</th>
          <td>Jacob</td>
          <td>Thornton</td>
        </tr>
        <tr>
          <th scope="row">3</th>
          <td>Larry</td>
          <td>the Bird</td>
        </tr>
      </tbody>
    </table>
  </div>`,
    },
  },
];
